import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import { EnumService } from './oneit/services/enum.service';

@Injectable()
export class AppService {

    constructor(
        private enumService: EnumService,
    ) {
    }

    getResponseActions(): Observable<any> {
        return this.enumService.getEnumsWithNULLOption("ResponseActions");
    }

    getTemplateTypes(): Observable<any> {
        return this.enumService.getEnumsWithNULLOption("TemplateTypes");
    }
}